Name: installer-ltsp
Version: 0.1
Release: alt2.5.2

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Packager: Michael Shigorin <mike@altlinux.org>
Source: %name-%version.tar

BuildRequires: alterator rpm-devel

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-license
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-users
Requires: alterator-pkg
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-x11

%description stage3
Installer stage3

%prep
%setup -q

%install
%makeinstall

# TODO: s/desktop/ltsp/?
%find_lang alterator-desktop

%files -f alterator-desktop.lang
%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/preinstall.d/*
%_datadir/install2/initinstall.d/*
%_datadir/install2/postinstall.d/*
%_datadir/install2/hw.d/*
%_datadir/install2/steps/*

%files stage3
%_datadir/alterator/ui/desktop

%changelog
* Thu Dec 13 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.2
- just do 8Gb / in default disk layout, is it a server or not? :]

* Tue Dec 11 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.5.1
- merged installer-desktop-0.1-alt2.5
- fixed multi-disk side effect on LTSP chroot build

* Fri Nov 30 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.5
- added list of groups for first user
- added multydisc install support

* Fri Nov 30 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.6
- /var/lib/apt/lists/ contains wrong files after l-b-c, rinse and wash it

* Fri Nov 30 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.5
- purge apt cache after building ltsp chroot so alterator-pkg works
- re-enable pkg step

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.4
- temporarily remove r1000 from default kernel module package
  list in default ltsp-build-client.conf (would blow up that
  since r1000 isn't available for 2.6.18-std-smp-alt9 right now)

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.3
- removed pkg step, so far it's crashing on me

* Thu Nov 29 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.2
- re-added ltsp-specific hooks from attempt #2
- removed hotplug hook

* Wed Nov 28 2007 Michael Shigorin <mike@altlinux.org> 0.1-alt2.4.1
- forked off ltsp installer, 3rd attempt

* Wed Nov 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.4
- fixed 60-*profile* 

* Mon Nov 12 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.3
- added vm-profile customization 

* Thu Nov 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.2
- added hook for inserting resume= into lilo.conf. template 

* Wed Oct 31 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.1
- changed alterator-apt to alterator-pkg 

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- fix firefox homepage setup
- add russian manpages charset setup

* Wed Oct 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
